/*******************************************************************************
 *  Copyright 2017-2018 Centre for Development of Advanced Computing(C-DAC), Pune
 *  
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *  
 *   http://www.apache.org/licenses/LICENSE-2.0
 *  
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *******************************************************************************/

package cdac.medinfo.sdk.dcm30_04.templates.enums.cv;

/**
 * This enum represents Code Value for TransducerApproach
 */
public enum EnumCV_TransducerApproach {

	//TransducerApproach - CID 5
	RIGHT_G_A100("G-A100"),
	LEFT_G_A101("G-A101"),
	LATERAL_G_A104("G-A104"),
	ANTERIOR_G_A105("G-A105"),
	POSTERIOR_G_A106("G-A106"),
	CAUDAL_G_A108("G-A108"),
	MEDIAL_G_A109("G-A109"),
	CENTRAL_G_A110("G-A110"),
	PERIPHERAL_G_A111("G-A111"),
	EXTERNAL_G_A112("G-A112"),
	INTERNAL_G_A113("G-A113"),
	INFERIOR_G_A115("G-A115"),
	SUPERIOR_G_A116("G-A116"),
	TRANSVERSE_G_A117("G-A117"),
	PROXIMAL_G_A118("G-A118"),
	DISTAL_G_A119("G-A119"),
	APICAL_G_A122("G-A122"),
	SURFACE_G_A168("G-A168"),
	ASCENDING_G_A599("G-A599"),
	DESCENDING_G_A600("G-A600"),
	SUBCUTANEOUS_TISSUE_T_03000("T-03000"),
	DURA_MATER_T_A1120("T-A1120"),
	PIA_MATER_T_A1280("T-A1280"),
	EXTERNAL_PROSTHESIS_FOR_SONOGRAPHIC_PROCEDURE_STAND_OFF_A_2C600("A-2C600"),
	WATER_BAG_PROSTHESIS_FOR_IMAGING_PROCEDURE_A_2C602("A-2C602"),
	SALINE_BAG_PROSTHESIS_FOR_IMAGING_PROCEDURE_A_2C604("A-2C604"),
	GEL_PROSTHESIS_FOR_IMAGING_PROCEDURE_A_2C606("A-2C606"),
	CRANIAL_G_A107("G-A107"),
	MIDLINE_G_A10A("G-A10A"),
	MID_LONGITUDINAL_G_A188("G-A188"),
	PARASAGITTAL_G_A189("G-A189"),
	INTRALUMINAL_R_42142("R-42142"),
	CAPSULAR_G_A171("G-A171"),
	LUMEN_T_D0048("T-D0048"),
	CONTACT_WITH_G_4022("G-4022"),
	PARENCHYMA_T_D0062("T-D0062");

	private String value;

	EnumCV_TransducerApproach(String strvalue)
	{
		this.value = strvalue;
	}

	/**
	 * This function returns the String value of this enum.
	 * @return - returns string value of Code Value.
	 */
	public String getValue()
	{
		return value;
	}

}
